Mailinglist Archive: opensuse-buildservice (175 mails)

< Previous Next >
[opensuse-buildservice] Packaging dpkg as .deb
Hi,

I have been trying to create a .deb package
of the most recent version of dpkg. It isn't going
so well. I noted the following errors from the log
that maybe relevent...

-----
preinstalling bash...
ar: error while loading shared libraries: libz.so.1: cannot open shared object
file: No such file or directory
tar: control.tar.gz: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
tar: Child returned status 2
tar: Exiting with failure status due to previous errors
tar: data.tar.gz: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
tar: Child returned status 2
tar: Exiting with failure status due to previous errors
preinstalling perl...
ar: error while loading shared libraries: libz.so.1: cannot open shared object
file: No such file or directory
tar: control.tar.gz: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
tar: Child returned status 2
tar: Exiting with failure status due to previous errors
tar: data.tar.gz: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
tar: Child returned status 2
tar: Exiting with failure status due to previous errors
preinstalling perl-base...
ar: error while loading shared libraries: libz.so.1: cannot open shared object
file: No such file or directory
tar: control.tar.gz: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
tar: Child returned status 2
tar: Exiting with failure status due to previous errors
tar: data.tar.gz: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
tar: Child returned status 2
tar: Exiting with failure status due to previous errors

.....

dpkg: libc6: dependency problems, but configuring anyway as you requested:
libc6 depends on libc-bin (= 2.11.1-0ubuntu7); however:
Package libc-bin is not installed.
libc6 depends on debconf (>= 0.5) | debconf-2.0; however:
Package debconf is not installed.
Package debconf-2.0 is not installed.
libc6 depends on libgcc1; however:
Package libgcc1 is not installed.
libc6 depends on tzdata; however:
Package tzdata is not installed.
libc6 depends on findutils (>= 4.4.0-2ubuntu2); however:
Package findutils is not installed.

....


dpkg: plymouth: dependency problems, but configuring anyway as you requested:
plymouth depends on mountall (>= 2.0); however:
Package mountall is not installed.
update-initramfs: deferring update (trigger activated)
Processing triggers for initramfs-tools ...
installing mountall
Processing triggers for man-db ...
configure all installed packages...
removing nis flags from //etc/nsswitch.conf...
now finalizing build dir...
dpkg-source: warning: could not verify signature on
/usr/src/packages/SOURCES/dpkg_1.16.1ubuntu1.dsc since gpg isn't installed
dpkg-source: info: extracting dpkg in /usr/src/packages/BUILD
dpkg-source: info: unpacking dpkg_1.16.1ubuntu1.tar.bz2
-----------------------------------------------------------------
----- building dpkg_1.16.1ubuntu1.dsc (user abuild)
-----------------------------------------------------------------
-----------------------------------------------------------------
dpkg-buildpackage: set CFLAGS to default value: -g -O2
dpkg-buildpackage: set CPPFLAGS to default value:
dpkg-buildpackage: set LDFLAGS to default value: -Wl,-Bsymbolic-functions
dpkg-buildpackage: set FFLAGS to default value: -g -O2
dpkg-buildpackage: set CXXFLAGS to default value: -g -O2
dpkg-buildpackage: source package dpkg
dpkg-buildpackage: source version 1.16.1ubuntu1
dpkg-buildpackage: source changed by Colin Watson <cjwatson@xxxxxxxxxx>
dpkg-buildpackage: host architecture i386
dpkg-checkbuilddeps: Unmet build dependencies: libselinux1-dev (>= 1.28-4)
dpkg-buildpackage: warning: Build dependencies/conflicts unsatisfied; aborting.
dpkg-buildpackage: warning: (Use -d flag to override.)
[ 655.856369] Power down.



Does anyone know what I can do to correct this? Thanks in advance,

Nasa
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups